#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private TradesViz_AutoSyncTrades[] cacheTradesViz_AutoSyncTrades;

		
		public TradesViz_AutoSyncTrades TradesViz_AutoSyncTrades()
		{
			return TradesViz_AutoSyncTrades(Input);
		}


		
		public TradesViz_AutoSyncTrades TradesViz_AutoSyncTrades(ISeries<double> input)
		{
			if (cacheTradesViz_AutoSyncTrades != null)
				for (int idx = 0; idx < cacheTradesViz_AutoSyncTrades.Length; idx++)
					if ( cacheTradesViz_AutoSyncTrades[idx].EqualsInput(input))
						return cacheTradesViz_AutoSyncTrades[idx];
			return CacheIndicator<TradesViz_AutoSyncTrades>(new TradesViz_AutoSyncTrades(), input, ref cacheTradesViz_AutoSyncTrades);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.TradesViz_AutoSyncTrades TradesViz_AutoSyncTrades()
		{
			return indicator.TradesViz_AutoSyncTrades(Input);
		}


		
		public Indicators.TradesViz_AutoSyncTrades TradesViz_AutoSyncTrades(ISeries<double> input )
		{
			return indicator.TradesViz_AutoSyncTrades(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.TradesViz_AutoSyncTrades TradesViz_AutoSyncTrades()
		{
			return indicator.TradesViz_AutoSyncTrades(Input);
		}


		
		public Indicators.TradesViz_AutoSyncTrades TradesViz_AutoSyncTrades(ISeries<double> input )
		{
			return indicator.TradesViz_AutoSyncTrades(input);
		}

	}
}

#endregion
